pam_ecryptfs(8)

NAME
pam_ecryptfs - PAM module for eCryptfs

SYNOPSIS

pam_ecryptfs.so [unwrap]

DESCRIPTION

pam_ecryptfs is a PAM module that can use the login password to unwrap an ecryptfs mount passphrase stored in ~/.ecryptfs/wrapped-passphrase, and automatically mount a private cryptographic directory.

OPTIONS

unwrap
    Use the login passphrase to unwrap an eCryptfs mount passphrase.

MODULE SERVICES PROVIDED

The services auth, and session are supported.

EXAMPLES

To unwrap a mount passphrase and automatically mount a private directory on login, add the following lines to /etc/pam.d/common-auth:

            auth    required        pam_ecryptfs.so unwrap

/etc/pam.d/common-session:

            session optional        pam_ecryptfs.so unwrap

SEE ALSO

ecryptfs(7), pam.conf(5), pam.d(8), pam(8)

/usr/share/doc/ecryptfs-utils/ecryptfs-faq.html

http://ecryptfs.org/

AUTHOR
This manpage was written by Dustin Kirkland <kirkland@ubuntu.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation. On Debian and Ubuntu systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.